package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.ReturnInfo;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface ReturnInfoService {
	ReturnInfo get(String id);
	boolean exist(String id);
	int insert(ReturnInfo model);
	int update(ReturnInfo model);
	int delete(String id);
	List<ReturnInfo> list();
	Page<ReturnInfo> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);

    ReturnInfo findByOpenId(String openId);

    ReturnInfo findByIdCardOrPhone(String idCard, String phone);
}